Debian Bug report logs - #546773
import: Taken screenshot is all black

Package: xserver-xorg-video-ati; Maintainer for xserver-xorg-video-ati is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-ati is src:xserver-xorg-video-ati.

Reported by: Memnon Anon <gegendosenfleisch@googlemail.com>

Date: Tue, 15 Sep 2009 17:12:10 UTC

Severity: normal

Tags: moreinfo, unreproducible

Blocking fix for 599076: gkrellshoot: Produces snapshots with big black rectangle or completly black

Forwarded to http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=14775

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Tue, 15 Sep 2009 17:12:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Memnon Anon <gegendosenfleisch@googlemail.com>:
New Bug report received and forwarded. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Tue, 15 Sep 2009 17:12:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Memnon Anon <gegendosenfleisch@googlemail.com>
To: submit@bugs.debian.org
Subject: import: Taken screenshot is all black
Date: Tue, 15 Sep 2009 19:07:15 +0200
Subject: import: Taken screenshot is all black
Package: imagemagick
Version: 7:6.5.5.3-1
Severity: normal

*** Please type your report below this line ***
I tried to take a screenshot using these commands:

import test.png (and drawing a frame)
import -window root test2.png

No errors shown, but the resulting png's show an all black 
picture. Drawing a frame with the mouse results in a black 
picture the size of the frame.

If you need any more information, I would love to help ...

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages imagemagick depends on:
ii  libbz2-1.0             1.0.5-3           high-quality block-sorting file co
ii  libc6                  2.9-25            GNU C Library: Shared libraries
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libfreetype6           2.3.9-5           FreeType 2 font engine, shared lib
ii  libglib2.0-0           2.20.5-1          The GLib library of C routines
ii  libgomp1               4.4.1-1           GCC OpenMP (GOMP) support library
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-15             The Independent JPEG Group's JPEG 
ii  liblcms1               1.18.dfsg-1       Color management library
ii  liblqr-1-0             0.4.1-1           converts plain array images into m
ii  libltdl7               2.2.6a-4          A system independent dlopen wrappe
ii  libmagickcore2         7:6.5.5.3-1       low-level image manipulation libra
ii  libmagickwand2         7:6.5.5.3-1       image manipulation library
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libtiff4               3.9.1-1           Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxt6                 1:1.0.6-1         X11 toolkit intrinsics library
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

imagemagick recommends no packages.

Versions of packages imagemagick suggests:
pn  imagemagick-doc               <none>     (no description available)
pn  transfig                      <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Thu, 01 Oct 2009 11:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Thu, 01 Oct 2009 11:54:10 GMT) Full text and rfc822 format available.

Message #10 received at 546773@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 546773@bugs.debian.org, Memnon Anon <gegendosenfleisch@googlemail.com>, Debian bugs control server <control@bugs.debian.org>
Subject: [imagemagick] The first work for me, the second is corrupted screenshot
Date: Thu, 1 Oct 2009 12:52:41 +0200
tags 546773 + moreinfo
forwarded 546773 http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=14775
thanks
Package: imagemagick
Version: 7:6.5.5.3-1

import -window root test2.png result in a strange picture. Will report upstream

Thanks

Bastien




Added tag(s) moreinfo. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 01 Oct 2009 11:54:14 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=14775'. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 01 Oct 2009 11:54:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Mon, 02 Nov 2009 16:00:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Mon, 02 Nov 2009 16:00:25 GMT) Full text and rfc822 format available.

Message #19 received at 546773@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 546773@bugs.debian.org, Debian bugs control server <control@bugs.debian.org>
Subject: [imagemagick] Unreproducible with X upgrade
Date: Mon, 2 Nov 2009 16:39:36 +0100
tags 546773 + ureproducible moreinfo
thanks

After upgrading X and kde it works like a charm. Could you retest. if it does 
not work could you please:
Post your windowing system (e.g. gnome), your ImageMagick release level (do 
not know if you have upgraded), and the output of this command: xdpyinfo.

Thank you

Bastien




Added tag(s) unreproducible. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Mon, 02 Nov 2009 16:36:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Tue, 22 Dec 2009 10:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Tue, 22 Dec 2009 10:57:06 GMT) Full text and rfc822 format available.

Message #26 received at 546773@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Memnon Anon <gegendosenfleisch@googlemail.com>, 546773@bugs.debian.org
Subject: About bug 546773
Date: Tue, 22 Dec 2009 11:50:47 +0100
[Message part 1 (text/plain, inline)]
Hi,

Could you retest with new X?

Will close in a month if no answer

Regards

bastien
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Sat, 26 Dec 2009 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Memnon Anon <gegendosenfleisch@googlemail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Sat, 26 Dec 2009 13:18:05 GMT) Full text and rfc822 format available.

Message #31 received at 546773@bugs.debian.org (full text, mbox):

From: Memnon Anon <gegendosenfleisch@googlemail.com>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Cc: 546773@bugs.debian.org
Subject: Re: About bug 546773
Date: Sat, 26 Dec 2009 14:15:53 +0100
Bastien ROUCARIES <roucaries.bastien@gmail.com> writes:

> Could you retest with new X?

Sorry, previous mail (2 Nov 2009) did not reach me.
The two commands that did not work previously are fine now on latest
testing here. 

So, as far as I'm concerned, this bug can be closed.




Reply sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
You have taken responsibility. (Sun, 27 Dec 2009 13:36:05 GMT) Full text and rfc822 format available.

Notification sent to Memnon Anon <gegendosenfleisch@googlemail.com>:
Bug acknowledged by developer. (Sun, 27 Dec 2009 13:36:05 GMT) Full text and rfc822 format available.

Message #36 received at 546773-done@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 546773-done@bugs.debian.org
Subject: Done: import: Taken screenshot is all black
Date: Sun, 27 Dec 2009 14:33:14 +0100
Package: imagemagick
Version: 7:6.5.5.3-1

X bug and corrected

Regards




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jan 2010 07:44:04 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Andreas Gredler <jimmy@g-tec.co.at> to control@bugs.debian.org. (Sat, 12 Nov 2011 22:39:07 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions imagemagick/7:6.5.5.3-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Nov 2011 22:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Sun, 13 Nov 2011 13:42:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Sun, 13 Nov 2011 13:42:48 GMT) Full text and rfc822 format available.

Message #47 received at 546773@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>
To: 546773@bugs.debian.org, 599076@bugs.debian.org
Cc: Andreas Gredler <jimmy@g-tec.co.at>, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>, Michael Gebetsroither <michael@mgeb.org>
Subject: Re: Processed: reopen 546773
Date: Sun, 13 Nov 2011 14:39:14 +0100
affects 546773 gkrellshoot
block 599076 by  546773
thanks

>Still happens with newer versions of X and imagemagick. There is also
>a bugreport in gkrellshoot, which also uses "import" to take
>screenshots (#599076)
>Tested myself and the screenshots were not completely black but partly
>black (Debian Sid with imagemagick 8:6.6.9.7-5+b1 and xserver-xorg
>1:7.6+8)
>
>greets Jimmy

Could you post the result of reportbug xorg ? Something that begin with
-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Nov  5 12:36 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2056592 Oct 20 16:15 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd
Generation Core Processor Family Integrated Graphics Controller
[8086:0116] (rev 09)
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device
[10de:0df5] (rev a1)



Thanks

Bastien

On Sat, Nov 12, 2011 at 11:39 PM, Debian Bug Tracking System
<owner@bugs.debian.org> wrote:
> Processing commands for control@bugs.debian.org:
>
>> unarchive 546773
> Bug #546773 {Done: Bastien ROUCARIES <roucaries.bastien@gmail.com>} [imagemagick] import: Taken screenshot is all black
> Unarchived Bug 546773
>> reopen 546773
> Bug #546773 {Done: Bastien ROUCARIES <roucaries.bastien@gmail.com>} [imagemagick] import: Taken screenshot is all black
> 'reopen' may be inappropriate when a bug has been closed with a version;
> you may need to use 'found' to remove fixed versions.
>> #Still happens with newer versions of X and imagemagick. There is also
>> #a bugreport in gkrellshoot, which also uses "import" to take
>> #screenshots (#599076)
>> #Tested myself and the screenshots were not completely black but partly
>> #black (Debian Sid with imagemagick 8:6.6.9.7-5+b1 and xserver-xorg
>> #1:7.6+8)
>> #
>> #greets Jimmy
>> thanks
> Stopping processing here.
>
> Please contact me if you need assistance.
> --
> 546773: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=546773
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>




Added indication that 546773 affects gkrellshoot Request was from Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com> to control@bugs.debian.org. (Sun, 13 Nov 2011 13:43:16 GMT) Full text and rfc822 format available.

Added indication that bug 546773 blocks 599076 Request was from Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com> to control@bugs.debian.org. (Sun, 13 Nov 2011 13:43:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Mon, 14 Nov 2011 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Gredler <jimmy@g-tec.co.at>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Mon, 14 Nov 2011 15:15:07 GMT) Full text and rfc822 format available.

Message #56 received at 546773@bugs.debian.org (full text, mbox):

From: Andreas Gredler <jimmy@g-tec.co.at>
To: Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>
Cc: 546773@bugs.debian.org, 599076@bugs.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>, Michael Gebetsroither <michael@mgeb.org>
Subject: Re: Processed: reopen 546773
Date: Mon, 14 Nov 2011 16:04:59 +0100
On Sun, Nov 13, 2011 at 02:39:14PM +0100, Bastien ROUCARIES wrote:

> >Still happens with newer versions of X and imagemagick. There is also
> >a bugreport in gkrellshoot, which also uses "import" to take
> >screenshots (#599076)

> Could you post the result of reportbug xorg ? Something that begin with

-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Aug 30 09:31 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2056592 Nov  2 11:18 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:01.0 VGA compatible controller [0300]: ATI Technologies Inc AMD Radeon HD 6310 GraphicsATI [1002:9802]

/etc/X11/xorg.conf does not exist.

/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 3.0.0-1-amd64 (Debian 3.0.0-3) (ben@decadent.org.uk) (gcc version 4.5.3 (Debian 4.5.3-8) ) #1 SMP Sat Aug 27 16:21:11 UTC 2011



greets Jimmy

-- 
                 Andreas "Jimmy" Gredler 
   ,'"`.         http://www.jimmy.co.at/ | jimmy@g-tec.co.at
  (  grml.org -» Linux Live-CD for texttool-users and sysadmins
   `._,          http://www.grml.org/    | jimmy@grml.org




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#546773; Package imagemagick. (Thu, 22 Dec 2011 09:03:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Thu, 22 Dec 2011 09:03:22 GMT) Full text and rfc822 format available.

Message #61 received at 546773@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: 546773@bugs.debian.org, Michael Gebetsroither <michael@mgeb.org>
Subject: Reassign screenshot bug to xserver-xorg-video-ati
Date: Thu, 22 Dec 2011 10:00:30 +0100
reassign 546773 xserver-xorg-video-ati
thanks

Dear Xorg mainteners,

I am ressigning this bug to you, this smell like a x driver bug
particulalry a radeon one.

Thank you for your time

Bastien




Removed indication that 546773 affects gkrellshoot Added indication that 546773 affects imagemagick Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 22 Dec 2011 09:07:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'imagemagick' to 'xserver-xorg-video-ati'. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 22 Dec 2011 09:51:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#546773; Package xserver-xorg-video-ati. (Thu, 22 Dec 2011 20:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 22 Dec 2011 20:45:13 GMT) Full text and rfc822 format available.

Message #70 received at 546773@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 546773@bugs.debian.org
Subject: Re: Bug#546773: Reassign screenshot bug to xserver-xorg-video-ati
Date: Thu, 22 Dec 2011 21:44:38 +0100
On Thu, Dec 22, 2011 at 10:00:30 +0100, Bastien ROUCARIES wrote:

> reassign 546773 xserver-xorg-video-ati
> thanks
> 
> Dear Xorg mainteners,
> 
> I am ressigning this bug to you, this smell like a x driver bug
> particulalry a radeon one.
> 
You did *not* send this to the X maintainers.  You also didn't include
any context when reassigning.  Please don't do that.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#546773; Package xserver-xorg-video-ati. (Thu, 22 Dec 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 22 Dec 2011 20:57:03 GMT) Full text and rfc822 format available.

Message #75 received at 546773@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 546773@bugs.debian.org
Subject: RE : Re: Bug#546773: Reassign screenshot bug to xserver-xorg-video-ati
Date: Thu, 22 Dec 2011 21:54:40 +0100
[Message part 1 (text/plain, inline)]
Sorry,

What kind of information did you need in this case ?

Bastien

Le 22 déc. 2011 21:44, "Julien Cristau" <jcristau@debian.org> a écrit :

On Thu, Dec 22, 2011 at 10:00:30 +0100, Bastien ROUCARIES wrote:

> reassign 546773 xserver-xorg-vid...
You did *not* send this to the X maintainers.  You also didn't include
any context when reassigning.  Please don't do that.

Cheers,
Julien
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:23:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.